version: '3.7'

services:
  argus:
    image: releaseargus/argus:latest
    container_name: argus
    volumes:
      - /gurulandia/data/docker/argus/config.yml:/app/config.yml
      - /gurulandia/data/docker/argus/argus.db:/app/data/argus.db       
    environment:
      ARGUS_UID: 1000 # Optional UID override
      ARGUS_GID: 1000 #911 # Optional GID override
    ports:
      - 53006:8080 # <Host_Port:Container_Port>
    #healthcheck: # Optional healthcheck
    #  test: ["CMD", "/healthcheck", "http://localhost:8080/api/v1/healthcheck"]
    #  interval: 1m
    #  timeout: 10s
    #  retries: 3
    #  start_period: 10s
    restart: unless-stopped
